Loading...
Searching...
No Matches
Catch::Clara::ExeName Class Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::ExeName:
[legend]
Collaboration diagram for Catch::Clara::ExeName:
[legend]

## Public Member Functions

| ExeName ()
| ExeName (std::string &ref)
template<typename LambdaT>
| ExeName (LambdaT const &lambda)
Detail::InternalParseResult | parse (std::string const &, Detail::TokenStream tokens) const override
std::string const & | name () const
Detail::ParserResult | set (std::string const &newName)
Public Member Functions inherited from Catch::Clara::Detail::ComposableParserImpl< ExeName >
Parser | operator| (T const &other) const
auto | operator| (T const &other) const -> Parser
Parser | operator| (T const &other) const
Public Member Functions inherited from Catch::Clara::Detail::ParserBase
virtual | ~ParserBase ()=default
virtual auto | validate () const -> Result
virtual size_t | cardinality () const
InternalParseResult | parse (Args const &args) const

## Private Attributes

std::shared_ptr< std::string > | m_name
std::shared_ptr< Detail::BoundValueRefBase > | m_ref

## Constructor & Destructor Documentation

## ExeName() [1/3]

Catch::Clara::ExeName::ExeName | ( |  | ) |

Here is the caller graph for this function:

## ExeName() [2/3]

Catch::Clara::ExeName::ExeName | ( | std::string & | ref | ) |

explicit

Here is the call graph for this function:

## ExeName() [3/3]

template<typename LambdaT>

Catch::Clara::ExeName::ExeName | ( | LambdaT const & | lambda | ) |

inlineexplicit

Here is the call graph for this function:

## Member Function Documentation

## name()

std::string const & Catch::Clara::ExeName::name | ( |  | ) | const

inline

## parse()

Detail::InternalParseResult Catch::Clara::ExeName::parse | ( | std::string const & | ,
|  | Detail::TokenStream | tokens ) const

overridevirtual

Implements Catch::Clara::Detail::ParserBase.

Here is the call graph for this function:

## set()

ParserResult Catch::Clara::ExeName::set | ( | std::string const & | newName | ) |

Here is the call graph for this function:

## Member Data Documentation

## m_name

std::shared_ptr<std::string> Catch::Clara::ExeName::m_name

private

## m_ref

std::shared_ptr<Detail::BoundValueRefBase> Catch::Clara::ExeName::m_ref

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp